View Issue Details

IDProjectCategoryLast Update
0021590AI War 2[All Projects] Gameplay IssueNov 1, 2019 12:34 pm
ReporterzeusalmightyAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.886 Zombie Homebodies 
Fixed in Version1.005 Answering Your Top Requests 
Summary0021590: Command Station Automation setting -- Shark Plots hurt player
DescriptionBackground/problem:
1. Command stations are prime targets and so they often fall before the rest of your defenses. Bringing flagships back to an affected planet can lead to cases where the command station starts auto-constructing and then is immediately destroyed be present enemy forces
2. If you have shark plots enabled in particular, this leads to an un-fun snowball effect where they just keep triggering the shark effect

Fix:
Have an automation setting for *rebuilding* command stations. For those who don't play with shark setting this will probably be left on, but this becomes pretty essential with shark plots
TagsNo tags attached.

Activities

BadgerBadger

Sep 6, 2019 7:24 pm

manager   ~0052901

In AIWC there was a long delay between being allowed to rebuild command stations. Would that work too?

zeusalmighty

Sep 6, 2019 7:32 pm

reporter   ~0052903

that would probably work too, perhaps even better

BadgerBadger

Sep 6, 2019 7:34 pm

manager   ~0052904

Chris, what are your opinions on this?

RocketAssistedPuffin

Sep 6, 2019 7:36 pm

developer   ~0052905

I'd say so, as long as it also stops you from being able to just scrap the remains, then start a new one to bypass it, which I think already occurs to get around the current restriction...which...I think is a delay on being able to rebuild something? Which evidently isn't enough here.

BadgerBadger

Sep 10, 2019 10:30 am

manager   ~0052982

What if command stations just took longer to build? That would make it harder for this to happen as well.

zeusalmighty

Sep 10, 2019 1:23 pm

reporter   ~0052984

Would it be viable for things to get a production-speed bonus if there are no enemy ships present? I think that mechanic might have wider usage than just command stations
basically, if i have cleared a planet I would like to get it setup quickly. If there are enemies present, normal build rates would apply

RocketAssistedPuffin

Oct 29, 2019 11:35 am

developer   ~0054107

This might be done by the crippled repair delay?

BadgerBadger

Oct 29, 2019 11:50 am

manager   ~0054110

Probably not, command stations don't cripple

Chthon

Oct 29, 2019 1:17 pm

reporter   ~0054118

Would it make sense to prevent command stations from rebuilding if there are enemy ships present?

BadgerBadger

Nov 1, 2019 12:34 pm

manager   ~0054247

Structures must be done building before killing them generates shark AIP

Issue History

Date Modified Username Field Change
Sep 6, 2019 7:18 pm zeusalmighty New Issue
Sep 6, 2019 7:24 pm BadgerBadger Note Added: 0052901
Sep 6, 2019 7:32 pm zeusalmighty Note Added: 0052903
Sep 6, 2019 7:34 pm BadgerBadger Note Added: 0052904
Sep 6, 2019 7:36 pm RocketAssistedPuffin Note Added: 0052905
Sep 10, 2019 10:30 am BadgerBadger Note Added: 0052982
Sep 10, 2019 1:23 pm zeusalmighty Note Added: 0052984
Oct 29, 2019 11:35 am RocketAssistedPuffin Note Added: 0054107
Oct 29, 2019 11:50 am BadgerBadger Note Added: 0054110
Oct 29, 2019 1:17 pm Chthon Note Added: 0054118
Nov 1, 2019 12:34 pm BadgerBadger Assigned To => BadgerBadger
Nov 1, 2019 12:34 pm BadgerBadger Status new => resolved
Nov 1, 2019 12:34 pm BadgerBadger Resolution open => fixed
Nov 1, 2019 12:34 pm BadgerBadger Fixed in Version => 1.005 Answering Your Top Requests
Nov 1, 2019 12:34 pm BadgerBadger Note Added: 0054247